org.optaplanner.benchmark.impl.statistic

## Class ProblemBasedSubSingleStatistic<Solution_,StatisticPoint_ extends StatisticPoint>

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.SubSingleStatistic<Solution_,StatisticPoint_>
  - - org.optaplanner.benchmark.impl.statistic.ProblemBasedSubSingleStatistic<Solution_,StatisticPoint_>

- Direct Known Subclasses:
    BestScoreSubSingleStatistic, BestSolutionMutationSubSingleStatistic, MemoryUseSubSingleStatistic, MoveCountPerStepSubSingleStatistic, ScoreCalculationSpeedSubSingleStatistic, StepScoreSubSingleStatistic

      public abstract class ProblemBasedSubSingleStatistic<Solution_,StatisticPoint_ extends StatisticPoint>
      extends SubSingleStatistic<Solution_,StatisticPoint_>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ProblemStatisticType` | `problemStatisticType`

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `logger, pointList, subSingleBenchmarkResult`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProblemBasedSubSingleStatistic(SubSingleBenchmarkResult subSingleBenchmarkResult, ProblemStatisticType problemStatisticType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProblemStatisticType` | `getStatisticType()`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `close, createPointFromCsvLine, getAnchorId, getCsvFile, getCsvFileName, getCsvHeader, getPointList, getRelativeCsvFilePath, getSubSingleBenchmarkResult, hibernatePointList, initPointList, open, setPointList, setSubSingleBenchmarkResult, unhibernatePointList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### problemStatisticType

          protected final ProblemStatisticType problemStatisticType

  - ### Constructor Detail

    - #### ProblemBasedSubSingleStatistic

          protected ProblemBasedSubSingleStatistic(SubSingleBenchmarkResult subSingleBenchmarkResult,
                                                   ProblemStatisticType problemStatisticType)

  - ### Method Detail

    - #### getStatisticType

          public ProblemStatisticType getStatisticType()

      Specified by:
        `getStatisticType` in class `SubSingleStatistic<Solution_,StatisticPoint_ extends StatisticPoint>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.